Appearance
Complete registration for the signed-in user ​
http
POST https://api.onehazel.com/onehazel-api/users/registerCreates the operator account and profile for a newly verified user.
Section: Account
Operation id: postUsersRegister
Authentication ​
Signed-in session token (Authorization: Bearer <session token>).
Request body ​
JSON object.
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X POST "https://api.onehazel.com/onehazel-api/users/register" \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Machine-readable: openapi.yaml, openapi.json.